Bug 809551 - [RFE] Add the ability to use keypair by name
[RFE] Add the ability to use keypair by name
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Linux
low Severity medium
: 2.3
: ---
Assigned To: Timothy St. Clair
Luigi Toscano
: FutureFeature
Depends On:
Blocks: 876862
  Show dependency treegraph
 
Reported: 2012-04-03 12:01 EDT by Timothy St. Clair
Modified: 2013-03-06 13:43 EST (History)
5 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.1
Doc Type: Enhancement
Doc Text:
C: The ability to use a key which has already been generated via ec2-tools. C: User can not use a specific key assigned to them. C: Add support to allow the user to specify the key by name R: Condor allows the user to specify a pregenerated key by name.
Story Points: ---
Clone Of:
: 876862 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:43:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Condor 2600 None None None Never

  None (edit)
Description Timothy St. Clair 2012-04-03 12:01:01 EDT
You can generate a keypair using amazons tools, condor should allow you to specify the keypair to use by it's name. 

e.g. -

ec2_keypair = tstclair_key
Comment 1 Timothy St. Clair 2012-04-03 12:07:16 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: The ability to use a key which has already been generated via ec2-tools.
C: User can not use a specific key assigned to them.
C: Add support to allow the user to specify the key by name
R: Condor allows the user to specify a pregenerated key by name.
Comment 5 Luigi Toscano 2012-12-20 11:29:32 EST
Existing AWS keys can be specified and they are correctly assigned to the running instances.

Verified on latest RHEL 5.x/6.x, i386/x86_64.
condor-7.8.8-0.1
Comment 8 errata-xmlrpc 2013-03-06 13:43:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.